Foreman - Bug #5699

The "location_fact" setting does not actually look for a custom fact
05/13/2014 07:02 PM - Simon Miigge

Status: Duplicate
Priority: Normal
Assignee:

Category:

Target version:

Difficulty: Fixed in Releases:

Triaged: Found in Releases: 1.5.0
Bugzilla link: Red Hat JIRA:

Pull request:

Description
The new "location_fact" setting to automatically update a hosts location to the therein configured fact does not get evaluated.

It always and only looks for a fact named "location_fact", not for "foreman_location", which is the in-page default in the admin settings
page, nor any other configured custom fact.

The issue seems to be this, as was pointed out in IRC today by either "Dominic" or "acidrainfall”:
http://projects.theforeman.org/projects/foreman/repository/revisions/e88536b278c403ae2e0e34f0e0e2de457bf95383/entry/app/mode
Is/host/base.rb#L.112

Related issues:
Is duplicate of Foreman - Bug #5690: Taxonomy fact name not retrieved from se... Closed 05/13/2014

History

#1 - 05/13/2014 07:21 PM - Simon Miigge

From http://projects.theforeman.org/issues/3214#note-23
http://projects.theforeman.org/projects/foreman/repository/revisions/e88536b278c403ae2e0e34f0e0e2de457bf95383

#2 - 05/14/2014 08:19 AM - Dominic Cleal

- Is duplicate of Bug #5690: Taxonomy fact name not retrieved from settings added

#3 - 05/14/2014 08:20 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report. stbenjam (Stephen) has reported it and filed a bug over at #5690, we'll try and have it in 1.5.1.

05/11/2024 1/1



http://projects.theforeman.org/projects/foreman/repository/revisions/e88536b278c403ae2e0e34f0e0e2de457bf95383/entry/app/models/host/base.rb#L112
http://projects.theforeman.org/projects/foreman/repository/revisions/e88536b278c403ae2e0e34f0e0e2de457bf95383/entry/app/models/host/base.rb#L112
http://projects.theforeman.org/issues/3214#note-23
http://projects.theforeman.org/projects/foreman/repository/revisions/e88536b278c403ae2e0e34f0e0e2de457bf95383
https://projects.theforeman.org/issues/5690
http://www.tcpdf.org

